Bug 1167167 (CVE-2014-9351) - CVE-2014-9351 teeworlds: security issues fixed in the 0.6.3 release
Summary: CVE-2014-9351 teeworlds: security issues fixed in the 0.6.3 release
Keywords:
Status: CLOSED RAWHIDE
Alias: CVE-2014-9351
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1167168
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-24 04:44 UTC by Murray McAllister
Modified: 2019-09-29 13:24 UTC (History)
5 users (show)

Fixed In Version: teeworlds 0.6.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-20 10:15:23 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-11-24 04:44:16 UTC
The 0.6.3 release of Teeworlds, an online multi-player platform 2D shooter, fixes an invalid read issue. This could be used to leak memory to a remote attacker, or possibly cause a crash:

https://www.teeworlds.com/?page=news&id=11200

Upstream fix:

https://github.com/teeworlds/teeworlds/commit/a766cb44bcffcdb0b88e776d01c5ee1323d44f85

References:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=770514

Comment 1 Murray McAllister 2014-11-24 04:45:15 UTC
Created teeworlds tracking bugs for this issue:

Affects: fedora-all [bug 1167168]

Comment 2 Fedora Update System 2014-12-04 06:21:46 UTC
teeworlds-0.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-12-04 06:21:55 UTC
teeworlds-0.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-12-06 10:50:08 UTC
teeworlds-0.6.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Vasyl Kaigorodov 2014-12-10 13:56:07 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-9351 to
the following vulnerability:

Name: CVE-2014-9351
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9351
Assigned: 20141209
Reference: http://www.securityfocus.com/bid/71301

engine/server/server.cpp in Teeworlds 0.6.x before 0.6.3 allows remote
attackers to read memory and cause a denial of service (crash) via
unspecified vectors.


Note You need to log in before you can comment on or make changes to this bug.